#include <avr/io.h>
#include <avr/iom48.h>
#include <string.h>
#include "usart.h"

#define FOSC 2000000UL
#define BAUD 9600
#define UBRR FOSC/16/BAUD-1

int main(void)
{	
	unsigned char * text;	//lokaler Stringbuffer
	unsigned char * tmp;
	USART_Init(UBRR);		//UART Initialisieren
	DDRB = 0xff;
	DDRC = 63;

	PORTC = 63;

	sendstr((unsigned char *) "CoffeeControl Machine Controller\nCopyright 2009 by the CoffeeControl Team\nHTBLA Leonding 2009\n");
	while(1)
	{
		recvstr(text);
		tmp = text;
		if(strcmp((const char *) tmp, (const char *) "lol\0"))
		{
			sendstr((unsigned char *) "ACK");
		}
		else
		{
			tmp = text;
		}
		if(strcmp((const char *) tmp, (const char *) "oo\0"))
		{
			sendstr((unsigned char *) "JAWOI!");
		}
		else
		{
			tmp = text;
		}
	}
	return 0;
}
