#include <avr/io.h>
#include <avr/iom48.h>

void USART_Init( unsigned int ubrr)
{
	// baud rate setzen
	UBRR0H = (unsigned char)(ubrr>>8);
	UBRR0L = (unsigned char)ubrr;
	// Aktivieren 
	UCSR0B = (1<<RXEN0)|(1<<TXEN0);
	// frame format: 8data, 1stop bit
	UCSR0C = (1<<USBS0)|(3<<UCSZ00);
}

void USART_Transmit(unsigned char data)
{
	while ( !( UCSR0A & (1<<UDRE0)) ); // Sendepuffer leer
	UDR0 = data;	// Daten ausgeben
}

unsigned char USART_Receive(void)
{
	while ( !(UCSR0A & (1<<RXC0)) );	// Auf Daten warten
	return UDR0;	// Daten einlesen
}

void sendstr(unsigned char * sendtext)
{
	while(*sendtext)
	{
		USART_Transmit(* sendtext);
		sendtext++;
	}
}

void recvstr(unsigned char * text)
{
	unsigned int next;
    unsigned char * tmp;
	text = tmp;                             
  	do
	{
		next = USART_Receive();
    	*tmp++ = next;
  	}while( next != '\r');

  	*tmp = '\0';
}
